import _toConsumableArray from "@babel/runtime/helpers/esm/toConsumableArray";
import { Typography } from "@mui/material";
import React from "react";
import AnnotationInput from "../Components/AnnotationInput";
import LocalStorage from "../Components/LocalStorage";
import { errorSpan, fielderror } from "../Components/ValidationCheck";
var Getrules = LocalStorage.get_task_rules() || {};

function FormOCR(_ref) {
  var index = _ref.index,
      formData = _ref.formData,
      setFormData = _ref.setFormData,
      item = _ref.item;

  var _ref2 = item || {},
      invalid = _ref2.invalid,
      description_labelling = _ref2.description_labelling,
      image_urls_labelling = _ref2.image_urls_labelling,
      title = _ref2.title,
      default_type = _ref2.default_type,
      display_label = _ref2.display_label,
      content = _ref2.content,
      input_type = _ref2.input_type,
      value = _ref2.value,
      other_value = _ref2.other_value,
      mandatory = _ref2.mandatory,
      history_hide = _ref2.history_hide,
      editable_data = _ref2.editable_data;

  var labelStyle = {
    width: "90%",
    overflow: "hidden",
    wordBreak: "break-all",
    display: "inline-block"
  };

  var _ref3 = Getrules || {},
      rules = _ref3.rules,
      editable_fields = _ref3.editable_fields,
      save_mandatory_fields = _ref3.save_mandatory_fields,
      find_and_replace = _ref3.find_and_replace,
      hide_physical_link = _ref3.hide_physical_link,
      dropdown_data = _ref3.dropdown_data;

  var rule_arr = rules === null || rules === void 0 ? void 0 : rules[title];

  var onActionFieldError = function onActionFieldError(title, border) {
    return fielderror(rule_arr, content, editable_data, "form", false, title, border);
  };

  var fieldValidationMessage = function fieldValidationMessage(border) {
    var _ref4 = onActionFieldError() || {},
        keys = _ref4.keys,
        messageShow = _ref4.messageShow;

    var errorMess = border ? messageShow === null || messageShow === void 0 ? void 0 : messageShow.length : errorSpan(messageShow);
    return keys !== "roundoff" ? keys !== "concat" ? keys !== "compare" ? onActionFieldError() : errorMess : errorMess : errorMess;
  };

  return input_type === "label" ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("p", {
    className: "font-MontSemiBold task_formlabel"
  }, display_label), /*#__PURE__*/React.createElement(Typography, null, content)) : input_type === "textArea" ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(AnnotationInput, {
    isRequired: mandatory === "mandatory",
    rows: 3,
    title: display_label,
    id: display_label,
    value: content,
    fullWidth: true,
    onChange: function onChange(e) {
      var data = _toConsumableArray(formData);

      data[index].content = e.target.value;
      setFormData(data);
    },
    focused: true
  }), fieldValidationMessage()) : null;
}

export default FormOCR;